Page MenuHomePhabricator

Add manual configuration for OtherIndex template boosting
Closed, ResolvedPublic

Description

When doing a multimedia search on a wiki we run the search against commonswiki as well, via the $wgCirrusSearchExtraIndexes option. When performing this search though we don't use the template boosts defined on commons which improve the rankings for at least some queries.

This is a bit of a hackish fix, but should be easy to do. Add some configuration variable for manually defining template boosting to use with ExtraIndexes. Add the boosts from commonswiki to that configuration in mediawiki-config and deploy.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterConfigure multimedia search template boosting
mediawiki/extensions/CirrusSearch : masterAdd manual configuration for OtherIndex template boosting

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 18 2017, 5:27 PM
debt triaged this task as High priority.Apr 18 2017, 7:20 PM
debt added a project: Discovery.
debt added a subscriber: Jdrewniak.

Change 348797 had a related patch set uploaded (by EBernhardson):
[mediawiki/extensions/CirrusSearch@master] Add manual configuration for OtherIndex template boosting

https://gerrit.wikimedia.org/r/348797

Change 348797 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Add manual configuration for OtherIndex template boosting

https://gerrit.wikimedia.org/r/348797

Change 350452 had a related patch set uploaded (by EBernhardson):
[operations/mediawiki-config@master] Configure multimedia search template boosting

https://gerrit.wikimedia.org/r/350452

Change 350452 merged by jenkins-bot:
[operations/mediawiki-config@master] Configure multimedia search template boosting

https://gerrit.wikimedia.org/r/350452

Mentioned in SAL (#wikimedia-operations) [2017-04-26T18:38:27Z] <thcipriani@naos> Synchronized wmf-config/CirrusSearch-common.php: SWAT: [[gerrit:350452|Configure multimedia search template boosting]] T163223 (duration: 00m 53s)

debt closed this task as Resolved.May 25 2017, 4:20 PM